Yalnızca mevcut kaynak satırlarının güncellemelerini önizle veya çalıştır
curl --request POST \
--url https://app.azalt.co/api/v1/source-imports/amendments \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"sourceAdapterDefinitionId": "<string>",
"adapterVersion": "<string>",
"sheets": [
{
"name": "<string>",
"rows": [
{}
]
}
],
"mode": "preview",
"allowMissingFormSiteCreation": false,
"context": {
"year": 2050,
"siteId": "<string>"
}
}
'import requests
url = "https://app.azalt.co/api/v1/source-imports/amendments"
payload = {
"sourceAdapterDefinitionId": "<string>",
"adapterVersion": "<string>",
"sheets": [
{
"name": "<string>",
"rows": [{}]
}
],
"mode": "preview",
"allowMissingFormSiteCreation": False,
"context": {
"year": 2050,
"siteId": "<string>"
}
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
sourceAdapterDefinitionId: '<string>',
adapterVersion: '<string>',
sheets: [{name: '<string>', rows: [{}]}],
mode: 'preview',
allowMissingFormSiteCreation: false,
context: {year: 2050, siteId: '<string>'}
})
};
fetch('https://app.azalt.co/api/v1/source-imports/amendments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"outcomes": {
"planned": {
"inserted": 1,
"updated": 1,
"replaced": 1,
"deleted": 1,
"skipped": 1,
"failed": 1,
"unknown": 1
},
"actual": {
"inserted": 1,
"updated": 1,
"replaced": 1,
"deleted": 1,
"skipped": 1,
"failed": 1,
"unknown": 1
}
},
"run": {
"id": "<string>",
"sourceAdapterDefinitionId": "<string>",
"organizationId": "<string>",
"userId": "<string>",
"mediaId": "<string>",
"fileName": "<string>",
"status": "pending",
"totalRows": 123,
"draftCount": 123,
"issueCount": 123,
"activityWriteCount": 123,
"formValueWriteCount": 123,
"error": "<string>",
"processedAt": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"deletedAt": "<string>"
},
"adapterVersion": "<string>",
"counts": {
"total": 1,
"parsed": 1,
"ready": 1,
"imported": 1,
"reduced": 1,
"skipped": 1,
"failed": 1
},
"replayed": true,
"execution": {
"attempted": true,
"blocked": true,
"message": "<string>",
"readiness": {
"requiresMissingFormSiteConfirmation": true,
"missingFormSites": [
{
"formId": "<string>",
"formName": "<string>",
"siteId": "<string>",
"siteName": "<string>",
"year": 123,
"rowCount": 1,
"draftKinds": [
"activity"
],
"targetKeys": [
"<string>"
],
"rowIndexes": [
1
]
}
]
}
}
}{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}Source imports
Yalnızca mevcut kaynak satırlarının güncellemelerini önizle veya çalıştır
Tam düzeltilmiş kaynak satırlarından bir güncelleme çalıştırması oluşturur. Aynı adaptör ve hedefte yapılandırılmış iş kaydı kimlikleriyle eşleştirir. Eşleşmeyen satırlar hata verir; yeni hedef kayıt eklenmez. Varsayılan mod önizlemedir. Düzeltme için yeni bir Idempotency-Key kullanın ve tekrarlarda anahtarı ve gövdeyi değiştirmeyin. Planlanan/kaydedilen sonuçları ve satır sonuçlarını kontrol edin; bazı satırlar başarılı olurken diğerleri hata verebilir. onExistingRow değişikliği ve eksik form oluşturma kabul edilmez.
POST
/
source-imports
/
amendments
Yalnızca mevcut kaynak satırlarının güncellemelerini önizle veya çalıştır
Yetkilendirmeler
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Başlıklar
Required string length:
1 - 200Gövde
application/json
Required string length:
1 - 200Pattern:
^[a-f0-9]{64}$Required array length:
1 - 50 elementsShow child attributes
Show child attributes
Mevcut seçenekler:
preview, execute Mevcut seçenekler:
false Show child attributes
Show child attributes

